gnutls_hmac(3)

NAME
gnutls_hmac - API function

SYNOPSIS
#include <gnutls/crypto.h>

int gnutls_hmac(gnutls_hmac_hd_t handle, const void * text, size_t textlen);

ARGUMENTS

gnutls_hmac_hd_t handle
    is a gnutls_cipher_hd_t structure.

const void * text
    the data to hash

size_t textlen
    The length of data to hash

DESCRIPTION
This function will hash the given data using the algorithm specified by the context.

RETURNS
Zero or a negative error code on error.

SINCE
2.10.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/